Loading...
Searching...
No Matches
Magick::DrawablePolygon Class Reference
Inheritance diagram for Magick::DrawablePolygon:

## Public Member Functions

| DrawablePolygon (const CoordinateList &coordinates_)
| DrawablePolygon (const DrawablePolygon &original_)
void | operator() (MagickCore::DrawingWand *context_) const
DrawableBase * | copy () const

## Private Attributes

CoordinateList | _coordinates

## Detailed Description

Definition at line 1273 of file Drawable.h.

## Constructor & Destructor Documentation

## DrawablePolygon() [1/2]

Magick::DrawablePolygon::DrawablePolygon | ( | const CoordinateList & | coordinates_ | ) |

Definition at line 921 of file Drawable.cpp.

: _coordinates(coordinates_)
{
}

## DrawablePolygon() [2/2]

Magick::DrawablePolygon::DrawablePolygon | ( | const DrawablePolygon & | original_ | ) |

Definition at line 925 of file Drawable.cpp.

: DrawableBase (original_),
_coordinates(original_._coordinates)
{
}

## ~DrawablePolygon()

Magick::DrawablePolygon::~DrawablePolygon | ( | void |  | ) |

Definition at line 931 of file Drawable.cpp.

{
}

## Member Function Documentation

## copy()

Magick::DrawableBase * Magick::DrawablePolygon::copy | ( |  | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 954 of file Drawable.cpp.

{
return new DrawablePolygon(*this);
}

## operator()()

void Magick::DrawablePolygon::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 934 of file Drawable.cpp.

{
size_t num_coords = (size_t) _coordinates.size();
PointInfo *coordinates = new PointInfo[num_coords];
PointInfo *q = coordinates;
CoordinateList::const_iterator p = _coordinates.begin();
while( p != _coordinates.end() )
{
q->x = p->x();
q->y = p->y();
q++;
p++;
}
DrawPolygon( context_, num_coords, coordinates );
delete [] coordinates;
}

## Field Documentation

## _coordinates

CoordinateList Magick::DrawablePolygon::_coordinates

private

Definition at line 1289 of file Drawable.h.

The documentation for this class was generated from the following files:

- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/Magick++/Drawable.h
- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/Drawable.cpp